#!/usr/bin/env python3
"""
Jinja2 template filters.
"""
import re

from markupsafe import Markup, escape

def quotelink(line, post_links):
	"""Checks if the quotelink is valid and adds an anchor tag if so."""
	links = re.findall(r'>>(\d+)', line)
	for link in links:
		if int(link) in post_links:
			span = f'<a class="quotelink" href="#{link}">>>{link}</a>'
		else:
			span = f'<span class="deadlink">>>{link}</span>'
		line = line.replace('>>' + link, span)
	return Markup(line)
